Package twisted :: Package protocols :: Module smtp :: Class SMTPFactory

[show private | hide private]
[frames | no frames]

## Class SMTPFactory

      Factory --+
                |
    ServerFactory --+
                    |
                   SMTPFactory

Known Subclasses:
  `SMTPFactory`

Factory for SMTP.

Method Summary
| ``buildProtocol`(self, addr)` Create an instance of a subclass of Protocol. (inherited from `Factory`)
| ``doStart`(self)` Make sure startFactory is called. (inherited from `Factory`)
| ``doStop`(self)` Make sure stopFactory is called. (inherited from `Factory`)
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector. (inherited from `Factory`)
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors. (inherited from `Factory`)

Class Variable Summary
`str` | `domain`
`class` | `SMTP`
`int` | `timeout`

Class Variable Details

### domain

  Type:
    `str`
  Value:

        'localhost'

### SMTP

`SMTP` = `twisted.protocols.smtp.SMTP`

### timeout

  Type:
    `int`
  Value:

        600

Generated by Epydoc 1.1 on Thu May 8 13:16:46 2003 | http://epydoc.sf.net